<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="functions_0x63.html#index_c"><span>c</span></a></li>
      <li class="current"><a href="functions_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="functions_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="functions_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="functions_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="functions_0x68.html#index_h"><span>h</span></a></li>
      <li><a href="functions_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="functions_0x6a.html#index_j"><span>j</span></a></li>
      <li><a href="functions_0x6b.html#index_k"><span>k</span></a></li>
      <li><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="functions_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="functions_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="functions_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="functions_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="functions_0x71.html#index_q"><span>q</span></a></li>
      <li><a href="functions_0x72.html#index_r"><span>r</span></a></li>
      <li><a href="functions_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="functions_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="functions_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="functions_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="functions_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="functions_0x78.html#index_x"><span>x</span></a></li>
      <li><a href="functions_0x79.html#index_y"><span>y</span></a></li>
      <li><a href="functions_0x7a.html#index_z"><span>z</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
Here is a list of all struct and union fields with links to the structures/unions they belong to:

<h3><a class="anchor" id="index_d">- d -</a></h3><ul>
<li>data
: <a class="el" href="structtivx__obj__desc__scalar__t.html#a707ef3aae2b9be4e4562e30dab797327">tivx_obj_desc_scalar_t</a>
</li>
<li>data_id
: <a class="el" href="structtivx__obj__desc__node__t.html#a52645fb7794dcefbdf87ccd2f0a24b46">tivx_obj_desc_node_t</a>
</li>
<li>data_type
: <a class="el" href="structtivx__obj__desc__threshold__t.html#adacbd104c4e98fc66180552c595d7627">tivx_obj_desc_threshold_t</a>
, <a class="el" href="structtivx__obj__desc__scalar__t.html#a46ca2b1fc1f1e81a9a2fcd54d0ccb1fc">tivx_obj_desc_scalar_t</a>
, <a class="el" href="structtivx__obj__desc__matrix__t.html#a773602ec4c1604ff8a92a064fad62573">tivx_obj_desc_matrix_t</a>
</li>
<li>deinitialize
: <a class="el" href="structtivx__kernel__t.html#aa9d3d74adaed638d933e5c181fcd0b09">tivx_kernel_t</a>
</li>
<li>delay
: <a class="el" href="structtivx__reference__t.html#af655518f6f2a7e179d828e95c1a74ce8">tivx_reference_t</a>
, <a class="el" href="structtivx__object__t.html#a854b065603348454912c551c45809b2e">tivx_object_t</a>
</li>
<li>delay_slot_index
: <a class="el" href="structtivx__reference__t.html#a1caf1c5feb88111ebb5e38a4da188bd9">tivx_reference_t</a>
</li>
<li>delays
: <a class="el" href="structtivx__graph__t.html#a2adfb145d230b3f36ba1e87e14f5dee3">tivx_graph_t</a>
</li>
<li>delete_func
: <a class="el" href="structtivx__target__kernel__t.html#a162d1869fcf965af947ce95ca08884be">tivx_target_kernel_t</a>
</li>
<li>destructor_callback
: <a class="el" href="structtivx__reference__t.html#a9263b6aa76840e5254d766e9567af7dd">tivx_reference_t</a>
</li>
<li>dim_x
: <a class="el" href="structvx__imagepatch__addressing__t.html#a3e817b04c32688a429bc804e740a2026">vx_imagepatch_addressing_t</a>
</li>
<li>dim_y
: <a class="el" href="structvx__imagepatch__addressing__t.html#a904283b577503b16e52bff04dc9668cc">vx_imagepatch_addressing_t</a>
</li>
<li>directions
: <a class="el" href="structtivx__signature__t.html#a80f6496e8b7f46f488dc76b3adcda079">tivx_signature_t</a>
</li>
<li>dist
: <a class="el" href="structtivx__meta__format__t.html#a40941ee8e51b33a6ea42a221300e50fa">tivx_meta_format_t</a>
</li>
<li>distribution
: <a class="el" href="uniontivx__obj__desc__shm__entry__t.html#ac081c0323d4218a09cb83341162a7796">tivx_obj_desc_shm_entry_t</a>
, <a class="el" href="structtivx__object__t.html#ae66bb0af9daedd1ccd541bdef33a7da8">tivx_object_t</a>
</li>
<li>dst_height
: <a class="el" href="structtivx__meta__format__t_1_1__remap.html#a56a57378c1a756335209e88c1f127060">tivx_meta_format_t::_remap</a>
, <a class="el" href="structtivx__obj__desc__remap__t.html#a353d5711729ca2e6f48be6ee28933555">tivx_obj_desc_remap_t</a>
</li>
<li>dst_target_id
: <a class="el" href="structtivx__obj__desc__cmd__t.html#a82453559b60353f667545ed0a8aab3b3">tivx_obj_desc_cmd_t</a>
</li>
<li>dst_width
: <a class="el" href="structtivx__obj__desc__remap__t.html#ab3bc959716f1da1c60bdeb947c237098">tivx_obj_desc_remap_t</a>
, <a class="el" href="structtivx__meta__format__t_1_1__remap.html#a0ac62ee48e78ca46a3ea873763a23b4f">tivx_meta_format_t::_remap</a>
</li>
<li>dummy
: <a class="el" href="structtivx__obj__desc__node__t.html#a51155a9e2c23f7505b5dd5a7fc308a8a">tivx_obj_desc_node_t</a>
</li>
</ul>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
